Subject: stty and echo woes
From: Mark Wood-Patrick <[email-masked]>
To: [email-masked]
Cc: "Mark Wood-Patrick ([email-masked])" <[email-masked]>
Date: Wed, 26 Dec 2001 07:05:18 -0800

I am having problems with echo being disabled after running certain commands
(e.g. man, less, tset). I am runing Cygwin DLL 1.1.8 on windows 2k.
My TERM variable ois set to cygwin. If I do an stty before I run less I get:

speed 38400 baud; line = 0;
-imaxbel
-echoe -echok -echoctl -echoke

After running it I get:

min = 1; time = 0;
-brkint -icrnl -imaxbel
-icanon -iexten -echo -echoe -echok -echoctl -echoke

I tried using "stty echo" but this did not appear to change the tty setting
and gave the message "stty: standard input: unable to perform all requested
operations"!!

Does anyone have any idea what's going on here or how I fix it

Mark Wood-Patrick

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/